import 'package:flutter_test/flutter_test.dart';
import 'package:prohibit_screen/prohibit_screen_platform_interface.dart';
import 'package:prohibit_screen/prohibit_screen_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockProhibitScreenPlatform
    with MockPlatformInterfaceMixin
    implements ProhibitScreenPlatform {

  @override
  Future<bool?> screenshotOFF() {
    // TODO: implement screenshotOFF
    throw UnimplementedError();
  }

  @override
  Future<bool?> screenshotON() {
    // TODO: implement screenshotON
    throw UnimplementedError();
  }
}

void main() {
  final ProhibitScreenPlatform initialPlatform = ProhibitScreenPlatform.instance;

  test('$MethodChannelProhibitScreen is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelProhibitScreen>());
  });

  test('getPlatformVersion', () async {
    MockProhibitScreenPlatform fakePlatform = MockProhibitScreenPlatform();
    ProhibitScreenPlatform.instance = fakePlatform;
  });
}
